Subject: bug#44664: 28.0.50; troubles with some chars in term

From: Jean Louis <[email-masked]>
Date: Tue, 17 Nov 2020 07:15:22 +0300

* Lars Ingebrigtsen <[email-masked]> [2020-11-17 01:30]:
> Jean Louis <[email-masked]> writes:
> 
> > run mutt to see the file:
> >
> > mutt -f 2002-01
> >
> > go up and down to see distortions. While this is mutt it does not
> > matter as term is making problems due to those weird chars on screen.
> 
> Yup; I can reproduce this on the trunk with "emacs -Q" (but not with my
> normal configuration).  I'm guessing it has something to do with how
> mutt outputs the non-ASCII characters -- it's pretty much a mess (i.e.,
> non-valid UTF-8 sequences, perhaps?)

Let me add that within emacs-libpq M-x vterm it works without any
problems, including on any terminal emulator outside of Emacs.

https://github.com/akermu/emacs-libvterm

Excerpt:

term: it is a terminal emulator written in elisp. term runs a shell (similarly to other terminal emulators like Gnome Terminal) and programs can directly manipulate the output using escape codes. Hence, many interactive applications (like the one aforementioned) work with term. However, term and ansi-term do not implement all the escapes codes needed, so some programs do not work properly. Moreover, term has inferior performance compared to standalone terminals, especially with large bursts of output.

Maybe that is problem. I do not know.

I wish I would not need to use external dynamic module.